org.springframework.cloud.dataflow.rest.client.dsl

## Class StreamDefinition

- java.lang.Object
- - org.springframework.cloud.dataflow.rest.client.dsl.StreamDefinition

-     public class StreamDefinition
      extends Object

  Represents a stream that has been created but not yet deployed.

       {
              @code
              StreamDefinition streamBuilder = Stream.builder(dataFlowOperations).name("ticktock").definition("time | log")
                              .create();
       }

  Author:
    Vinicius Carvalho

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamDefinition(String name, DataFlowOperations client, String definition, String description, List<StreamApplication> applications)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Stream` | `deploy()` Deploy the current stream without any extra properties
    `Stream` | `deploy(Map<String,String> deploymentProperties)` Deploy the current stream using the deploymentProperties.
    `void` | `destroy()` Destroy the stream from the server.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamDefinition

          public StreamDefinition(String name,
                                  DataFlowOperations client,
                                  String definition,
                                  String description,
                                  List<StreamApplication> applications)

  - ### Method Detail

    - #### destroy

          public void destroy()

      Destroy the stream from the server. This method invokes the remote server

    - #### deploy

          public Stream deploy(Map<String,String> deploymentProperties)

      Deploy the current stream using the deploymentProperties. This method invokes the remote server
      Parameters:
        `deploymentProperties` - Map of properties to be used during deployment
      Returns:
        A deployed `Stream`

    - #### deploy

          public Stream deploy()

      Deploy the current stream without any extra properties
      Returns:
        A deployed `Stream`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.